﻿using System.Windows.Data;
using System;
using System.Globalization;
using System.ServiceModel.DomainServices.Client;

namespace BusyIndicatorSample
{
    public class EntitySetNameConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string name = ((EntitySet)value).EntityType.ToString();
            return name.Substring(name.LastIndexOf('.') + 1);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
